> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recent jobs of this key's project (free)



## OpenAPI

````yaml /data-api/openapi.json get /v1/jobs
openapi: 3.1.0
info:
  title: Hyperdash Data API
  version: v1
  description: >-
    Hyperliquid data from Hyperdash's own nodes. Every response reports the
    credits it cost.
servers:
  - url: https://data.hyperdash.com
security: []
tags:
  - name: Accounts
  - name: Async jobs
  - name: Builders
  - name: Cohorts
  - name: HIP-3 DEXs
  - name: Leaderboards
  - name: Lending
  - name: Liquidations
  - name: Markets
  - name: Network
  - name: Outcomes
  - name: Positions
  - name: Snapshots
  - name: Spot
  - name: Staking
  - name: Traders
paths:
  /v1/jobs:
    get:
      tags:
        - Async jobs
      summary: Recent jobs of this key's project (free)
      operationId: listJobs
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        kind:
                          type: string
                        params:
                          type: object
                        status:
                          type: string
                          enum:
                            - queued
                            - running
                            - succeeded
                            - failed
                            - canceled
                            - expired
                        created_at:
                          type: string
                        started_at:
                          type:
                            - string
                            - 'null'
                        finished_at:
                          type:
                            - string
                            - 'null'
                        expires_at:
                          type:
                            - string
                            - 'null'
                        result_rows:
                          type:
                            - integer
                            - 'null'
                        compute_units:
                          type: integer
                        result_url:
                          type:
                            - string
                            - 'null'
                        error:
                          type:
                            - object
                            - 'null'
                          properties:
                            code:
                              type: string
                            detail:
                              type: string
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: hdk_sk_live_v1_… or hdk_sk_test_v1_…

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.